> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# AI Voice Change

> Use your files to do a voice change and return the audio.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json post /v1/voice_change
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/voice_change:
    post:
      tags:
        - AI-Voice-Change
      summary: AI Voice Change
      description: Use your files to do a voice change and return the audio.
      operationId: voice_change_v1_voice_change_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_voice_change_v1_voice_change_post'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_voice_change_v1_voice_change_post:
      properties:
        voice_id:
          type: integer
          title: Voice Id
          description: Voice ID
        mode:
          type: integer
          title: Mode
          description: Mode corresponding to sound ID
        file:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: File
          description: File stream
      type: object
      required:
        - voice_id
        - mode
      title: Body_voice_change_v1_voice_change_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````